## 物料数量调整组件使用说明

```
该组件用于仓库物料的数量调整
```

## API

### Props

|  属性名  |  类型   | 默认值 |   可选值   |        说明         |
| :------: | :-----: | :----: | :--------: | :-----------------: |
|   info   | Boject  |   {}   |     -      | 数据 **格式见下文** |
| disabled | Boolean |  true  | true/false |      是否禁用       |

### lists 格式

```json
{
  "name": "正泰漏保", // 物料名称
  "quantity": 1, // 物料数量
  "min": 1, // 数量最小值
  "max": 100 // 数量最大值
}
```

### Events

| 事件称名 |        说明        |  返回值  |
| :------: | :----------------: | :------: |
| @change  | 数量发生改变时返回 | 新的数量 |

## 组件用法

### 基础用法

```html
<adjust-parts
  v-for="(item, index) in lists"
  :key="index"
  :info="item"
  @change="partsChange($event, index)"
  :disabled="disabled"
></adjust-parts>
```

```js
import adjustParts from "@/components/parts/adjust"
export default {
  components: {
    adjustParts,
  },
  data() {
    return {
      lists: [
        {
          id: 1,
          name: "正泰漏保",
          quantity: 1,
          min: 1,
          max: 100,
        },
        {
          id: 1,
          name: "挚达广汽充电桩",
          quantity: 3,
          min: 1,
          max: 5,
        },
      ],
    }
  },
  methods: {
    partsChange(val, index) {
      console.log("val", val, index)
    },
  },
}
```
